Get protected network
curl --request GET \
--url https://api.gcore.com/security/sifter/v3/protected_networks/{protected_network_id} \
--header 'Authorization: <api-key>'import requests
url = "https://api.gcore.com/security/sifter/v3/protected_networks/{protected_network_id}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.gcore.com/security/sifter/v3/protected_networks/{protected_network_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.gcore.com/security/sifter/v3/protected_networks/{protected_network_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.gcore.com/security/sifter/v3/protected_networks/{protected_network_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.gcore.com/security/sifter/v3/protected_networks/{protected_network_id}")
.header("Authorization", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.gcore.com/security/sifter/v3/protected_networks/{protected_network_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"as_number": 65001,
"client_id": 150,
"comment": "Production network for web services",
"created_at": "2025-06-15T10:30:00Z",
"documents": [
{
"id": 501,
"name": "network_authorization.pdf"
},
{
"id": 502,
"name": "service_agreement.pdf"
}
],
"gre_endpoint": "203.0.113.10",
"id": 1024,
"is_active": true,
"is_error": false,
"is_processing": false,
"lifecycle_status": "APPROVED",
"modified_at": "2025-07-20T14:45:00Z",
"network": "198.51.100.0/24",
"profile": {
"id": 42,
"name": "Standard DDoS Protection"
},
"protection_status": "ACTIVE",
"status": "ENABLED"
}{}{}{}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Protected Networks
Get protected network
Get protected network
GET
/
security
/
sifter
/
v3
/
protected_networks
/
{protected_network_id}
Get protected network
curl --request GET \
--url https://api.gcore.com/security/sifter/v3/protected_networks/{protected_network_id} \
--header 'Authorization: <api-key>'import requests
url = "https://api.gcore.com/security/sifter/v3/protected_networks/{protected_network_id}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.gcore.com/security/sifter/v3/protected_networks/{protected_network_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.gcore.com/security/sifter/v3/protected_networks/{protected_network_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.gcore.com/security/sifter/v3/protected_networks/{protected_network_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.gcore.com/security/sifter/v3/protected_networks/{protected_network_id}")
.header("Authorization", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.gcore.com/security/sifter/v3/protected_networks/{protected_network_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"as_number": 65001,
"client_id": 150,
"comment": "Production network for web services",
"created_at": "2025-06-15T10:30:00Z",
"documents": [
{
"id": 501,
"name": "network_authorization.pdf"
},
{
"id": 502,
"name": "service_agreement.pdf"
}
],
"gre_endpoint": "203.0.113.10",
"id": 1024,
"is_active": true,
"is_error": false,
"is_processing": false,
"lifecycle_status": "APPROVED",
"modified_at": "2025-07-20T14:45:00Z",
"network": "198.51.100.0/24",
"profile": {
"id": 42,
"name": "Standard DDoS Protection"
},
"protection_status": "ACTIVE",
"status": "ENABLED"
}{}{}{}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Authorizations
Path Parameters
Response
Successful Response
Was this page helpful?